﻿/**
 * @license Copyright (c) 2003-2013, CKSource - Frederico Knabben. All rights reserved.
 * For licensing, see LICENSE.html or http://ckeditor.com/license
 */

CKEDITOR.editorConfig = function( config ) {
	// Define changes to default configuration here.
	// For the complete reference:
	// http://docs.ckeditor.com/#!/api/CKEDITOR.config

	// The language to be used if the language setting is left empty and it is not possible to localize the editor to the user language.
	config.defaultLanguage = 'en';
	config.extraPlugins = 'menubutton';
	config.extraPlugins = 'dialog';
  	config.extraPlugins = 'scayt';
  	config.scayt_autoStartup = true;
  	config.scayt_contextCommands = 'all';
  	//config.skin = 'moonocolor'; //4
  	config.skin = 'BootstrapCK-Skin';  //3
  	//config.skin = 'office2003'; //3
  	//config.skin = 'kama'; //3
  	//config.skin = 'v2'; //3
  	//config.skin = 'bootstrapck';  //4
  	//config.skin = 'moono'; //4
  	//config.skin = 'moono-dark'; //4
  	//config.skin = 'mango'; //3
  	//config.skin = 'silver'; //3
  	//config.skin = 'atlas'; //4

	config.toolbar_Full = [
		{ name: 'document',    groups: [ 'mode', 'document', 'doctools' ], items: [ 'Source', 'Save', 'NewPage', 'DocProps', 'Preview', 'Print', 'Templates', 'document' ] },
		// On the basic preset, clipboard and undo is handled by keyboard.
		// Uncomment the following line to enable them on the toolbar as well.
		// { name: 'clipboard',   groups: [ 'clipboard', 'undo' ], items: [ 'Cut', 'Copy', 'Paste', 'PasteText', 'PasteFromWord', 'Undo', 'Redo' ] },
		{ name: 'editing',     groups: [ 'find', 'selection', 'spellchecker' ], items: [ 'Find', 'Replace', 'SelectAll', 'Scayt' ] },
		{ name: 'insert', items: [ 'CreatePlaceholder', 'Image', 'Flash', 'Table', 'HorizontalRule', 'Smiley', 'SpecialChar', 'PageBreak', 'Iframe', 'InsertPre' ] },
		{ name: 'forms', items: [ 'Form', 'Checkbox', 'Radio', 'TextField', 'Textarea', 'Select', 'Button', 'ImageButton', 'HiddenField' ] },
		'/',
		{ name: 'basicstyles', groups: [ 'basicstyles', 'cleanup' ], items: [ 'Bold', 'Italic', 'Underline', 'Strike', 'Subscript', 'Superscript', 'RemoveFormat' ] },
		{ name: 'paragraph',   groups: [ 'list', 'indent', 'blocks', 'align' ], items: [ 'NumberedList', 'BulletedList', 'Outdent', 'Indent', 'Blockquote', 'CreateDiv', 'JustifyLeft', 'JustifyCenter', 'JustifyRight', 'JustifyBlock', 'BidiLtr', 'BidiRtl' ] },
		{ name: 'links', items: [ 'Link', 'Unlink', 'Anchor' ] },
		'/',
		{ name: 'styles', items: [ 'Styles', 'Format', 'Font', 'FontSize' ] },
		{ name: 'colors', items: [ 'TextColor', 'BGColor' ] },
		{ name: 'tools', items: [ 'UIColor', 'Maximize', 'ShowBlocks' ] },
		{ name: 'about', items: [ 'About' ] }
	];

	config.toolbar = "Full";
	
	// config.uiColor = '#AADC6E';
	// Remove some buttons provided by the standard plugins, which are
	// not needed in the Standard(s) toolbar.
	//config.removeButtons = 'Underline,Subscript,Superscript';

	// Set the most common block elements.
	//config.format_tags = 'p;h1;h2;h3;pre';

	// Simplify the dialog windows.
	//config.removeDialogTabs = 'image:advanced;link:advanced';

	// The user interface language localization to use. If left empty, the editor will automatically be localized to the user language.
	// If the user language is not supported, the language specified in the defaultLanguage configuration setting is used.
	// config.language = 'en';

	// Uncomment the following block to make CKEditor format self-closing tags the old way e.g. as <BR> and <IMG> instead of <BR /> and <IMG />
	/*
	CKEDITOR.on( 'instanceReady', function( ev )
	{
		ev.editor.dataProcessor.writer.selfClosingEnd = '>';
	});
	*/
};

